
QGIS Application - Bug report #3791

(windows): qgis trunk/osgeo4w crashes if "HKCU\\Software\\QuantumGIS" is removed from registry

2011-05-03 05:24 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 13849

Description

I just updated to the latest revision with osgeo4w and I'm noticing that vectors are added with the old symbology. I also added the latest

trunk under Linux and here it seems that is ok (added with the new symbology).

History

#1 - 2011-05-03 05:57 AM - Jürgen Fischer

is new symbology activated in the qgis options?

#2 - 2011-05-03 06:05 AM - Giovanni Manghi

Hi Jurgen,

Replying to [comment:1 jef]:

is new symbology activated in the qgis options?

sorry, it wasn't. But it was a clean install, should not be activated by default?

By the way, activating the option and adding a vector causes qgis to crash. Does not happen on osgeo4w/1.6

#3 - 2011-05-03 06:09 AM - Jürgen Fischer

Replying to [comment:2 lutra]:

Replying to [comment:1 jef]:

is new symbology activated in the qgis options?

sorry, it wasn't. But it was a clean install, should not be activated by

default?

Only if you removed HKCU\\Software\\QuantumGIS in the registry.

By the way, activating the option and adding a vector causes qgis to crash.
Does not happen on osgeo4w/1.6

On any layer?

#4 - 2011-05-03 06:14 AM - Giovanni Manghi

Only if you removed HKCU\\Software\\QuantumGIS in the registry.

oh, this make sense.

On any layer?

yes

#5 - 2011-05-05 03:02 PM - Giovanni Manghi

By the way, activating the option and adding a vector causes qgis to crash.

Does not happen on osgeo4w/1.6

On any layer?

Only if you removed HKCU\\Software\\QuantumGIS in the registry.

re-installing osgeo4w fixes the problem, so I'm not sure this can be classified as bug.

I guess that someone can always make a "house cleaning" deleting also that registry keys, so it would probably better so fix it somewhere in the future. In

any case I'll leave it to you.

#6 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2011-12-23 07:41 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to invalid

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master
